Bug 149483 - RFE: update to 1.36
RFE: update to 1.36
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-23 10:26 EST by Gene Czarcinski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-10 12:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2005-02-23 10:26:15 EST
Description of problem:

The current e2fsprogs package for Fedora Core 3 (and RHEL) have some
very serious problems and the package should be updated to 1.36.

The following is from the 1.36 RELEASE-NOTES:

All of the patches that were applied to Fedore Core 3's
e2fsprogs-1.35-11.2 have been integrated, although sometimes with a
lot of bug fixes first.  Users of Fedora Core 3 are strongly
encouraged to upgrade to e2fsprogs 1.36 as soon as possible.

Add support for filesystem with the online resizing via resize inode
feature.  Fixed numerous bugs from the Fedora patches.  The Fedora
patches also didn't bother to do any consistency checking on the
resize inode, or add any tests to the regression test suite.  The "-R
resize=4g" option to mke2fs was a no-op in the Fedora patches, despite
being listed in mke2fs's usage message.  All of these shortcomings
have been corrected.
Comment 1 Alex Butcher 2005-02-24 16:19:26 EST
Seconded. 1.36 fixed a fs that FC3's 1.35 couldn't fix. ext2resize is on 1.1.19,
Comment 2 Thomas Woerner 2005-11-10 12:18:07 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.